%global momorel 14
%global scimver 1.4.9
%global scim_major_version 1.4.0

Summary: honoka is an SCIM IMEngine module for Wnn, Anthy, SKK, Canna & prime
Name: honoka
Version: 0.9.1
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/System
URL: http://sourceforge.jp/projects/scim-imengine/
Source0: http://nop.net-p.org/files/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: %{name}-%{version}-gcc43.patch
Requires: scim >= %{scimver}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: automake

%description
honoka is an SCIM IMEngine module for Wnn & Anthy & SKK & Canna & prime.
It supports Japanese input.

%package devel
Summary: Development files for applications using honoka
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Static libraries and header files for the support library for the honoka's.

%prep
%setup -q

%patch0 -p1 -b .gcc43~

%build
%configure --disable-static
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# a directory honoka plugins need
mkdir -p %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/%{name}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_libdir}/*.so*
%dir %{_libdir}/scim-1.0/%{scim_major_version}/%{name}
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/*.so*
%{_libdir}/scim-1.0/%{scim_major_version}/SetupUI/*.so*
%{_datadir}/locale/ja/LC_MESSAGES/%{name}.mo
%{_datadir}/scim/icons/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-14m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-13m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-12m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-11m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-10m)
- rebuild against gcc43

* Sat Mar  1 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.1-9m)
- remove an unnecessary option

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-8m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.1-7m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-6m)
- delete libtool library

* Thu Oct 26 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-5m)
- move directory for plugins against scim-1.4.5

* Sun Oct 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-4m)
- modify %%files for scim-1.4.5

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-3m)
- rebuild against scim-1.4.4-0.20060301.5m

* Tue Jul  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-2m)
- add %%{_libdir}/scim-1.0/honoka for plugins

* Sat Jul  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-1m)
- update 0.9.1

* Sun May 14 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.3-1m)
- update 0.8.3

* Sun Feb 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.2-1m)
- update 0.8.2

* Sun Jan 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.1-1m)
- update 0.8.1

* Sat Jan 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-1m)
- update 0.8.0

* Wed Nov 30 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.1-1m)
- update 0.4.1

* Mon Nov 14 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.0-1m)
- update 0.4.0

* Wed Nov  9 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.0-0.20051109.1m)
- update 0.4.0-20051109(r364)

* Thu Sep 29 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.3-1m)
- update 0.3.3

* Wed Aug 31 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-1m)
- update 0.3.2

* Tue Aug 16 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-0.20050816.1m)
- update 20050816(r321)
- Require prime

* Thu Aug 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-2m)
- rebuild against scim-1.4.1-1m

* Fri Jul 29 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.1-1m)
- update 0.3.1

* Tue Jul  5 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.1-0.20050704-1m)
- update 0.3.1-0.20050704-1m

* Wed Jun 29 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-1m)
- update 0.3.0

* Sat Jun 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20050625-1m)
- update 20050625

* Mon Jun 20 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20050620-1m)
- update 20050620

* Wed Jun  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20050606-1m)
- update 20050606

* Thu Jun  2 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20050530-1m)
- update 20050530

* Sat May 28 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20050528-1m)
- update 20050528

* Fri May  6 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20050429-2m)
- enable wnn

* Thu May  3 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20050429-1m)
- update 20050429(r214) SVN snapshot

* Thu Apr 22 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20050424-1m)
- update 20050424(r209) SVN snapshot

* Thu Apr 22 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20050419-1m)
- update 20050419 SVN snapshot
- create honoka-devel package

* Wed Apr 18 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20050416-1m)
- initial commit to 20050416 SVN snapshot

